<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

//  pattern
Route::pattern('uuid', '[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}');

// routes
Route::get('/', 'App\Http\Controllers\HomeController@show');

Route::prefix('bucket')->group(function() {
    Route::get('create', 'App\Http\Controllers\BucketController@create')->name('bucket.create');
    Route::post('create', 'App\Http\Controllers\BucketController@store');
    Route::get('{id}', 'App\Http\Controllers\BucketController@single')->name('bucket.single');
});

/***
Route::post('/login', 'App\Http\Controllers\AuthController@login');
Route::get('/logout', 'App\Http\Controllers\AuthController@logout');

Route::group('/hub', function() {
    Route::get('/{uuid}/options', 'App\Http\Controllers\Hub\OptionsController@show');
    Route::get('/{uuid}/user', 'App\Http\Controllers\Hub\UserController@show');
    Route::get('/{uuid}', 'App\Http\Controllers\Hub\Controller@show');
});

Route::group('/system', function() {
    Route::get('/user', 'App\Http\Controllers\System\UserController@show');
    Route::get('/options', 'App\Http\Controllers\System\OptionsController@show');
});
